Index: projects/openttd_vs80.vcproj
===================================================================
--- projects/openttd_vs80.vcproj	(revision 13683)
+++ projects/openttd_vs80.vcproj	(working copy)
@@ -700,6 +700,10 @@
 				>
 			</File>
 			<File
+				RelativePath=".\..\src\sharedinfrastructure.cpp"
+				>
+			</File>
+			<File
 				RelativePath=".\..\src\signal.cpp"
 				>
 			</File>
@@ -1368,6 +1372,10 @@
 				>
 			</File>
 			<File
+				RelativePath=".\..\src\sharedinfrastructure.h"
+				>
+			</File>
+			<File
 				RelativePath=".\..\src\signal_func.h"
 				>
 			</File>
Index: projects/openttd_vs90.vcproj
===================================================================
--- projects/openttd_vs90.vcproj	(revision 13683)
+++ projects/openttd_vs90.vcproj	(working copy)
@@ -697,6 +697,10 @@
 				>
 			</File>
 			<File
+				RelativePath=".\..\src\sharedinfrastructure.cpp"
+				>
+			</File>
+			<File
 				RelativePath=".\..\src\signal.cpp"
 				>
 			</File>
@@ -1365,6 +1369,10 @@
 				>
 			</File>
 			<File
+				RelativePath=".\..\src\sharedinfrastructure.h"
+				>
+			</File>
+			<File
 				RelativePath=".\..\src\signal_func.h"
 				>
 			</File>
Index: source.list
===================================================================
--- source.list	(revision 13683)
+++ source.list	(working copy)
@@ -68,6 +68,7 @@
 	sdl.cpp
 #end
 settings.cpp
+sharedinfrastructure.cpp
 signal.cpp
 signs.cpp
 sound.cpp
@@ -267,6 +268,7 @@
 settings_internal.h
 settings_type.h
 ship.h
+sharedinfrastructure.h
 signal_func.h
 signal_type.h
 signs_base.h
